Subject: Re: gnome-session (Was: Re: A few minor problems)

From: Dominik Vogt <[email-masked]>
Date: Wed, 4 Apr 2001 19:13:42 +0200

On Sat, Mar 31, 2001 at 01:57:38PM -0600, Mikhael Goikhman wrote:
> On 31 Mar 2001 18:15:53 +0200, Dominik Vogt wrote:
> > 
> > On Thu, Mar 29, 2001 at 02:16:13PM +0200, Olivier Chapuis wrote:
> > > Hello,
> > > 
> > > 4. Under GNOME session : Use say a DesktopSize 2x2 and save
> > > your session on page 2 2. When I restart the session I am again
> > > on page 2 2 but the gmc icon are on the page on my left.
> > > It seems that a page switching in the "same time" that a "stick"
> > > (the gmc icon) cause the problem.
> > 
> > That does not happen for me, but perhaps I did not do what you
> > did:
> > 
> >  1) Start fvwm.
> >  2) Start gnome-session.  It complains about not running a GNOME
> >     compliant window manager but starts up anyway.
> >  3) Go to the bottom right page (1 1).
> >  4) Chose "Save Current Session" from the Session menu.
> >  5) Log out of GNOME. Fvwm is still running.
> >  6) Start gnome-session again.
> 
> gnome-session is a session manager like xsm; starting it inside fvwm has
> no much sence.

Yes, I know.  I couldn't make GNOME accept fvwm as a compliant
window manager though, so I ran it from inside fvwm :)

> You should start it instead of fvwm and then go to panel's
> menu and define fvwm2 as a window manager (FAQ #2.7). Then fvwm will be
> started by gnome-session when you run gnome-session next time.

Anyway, I don't see what Olivier describes.

> SessionInitFunction will be called instead of InitFunction.
> If StartFunction is used to run modules they will be started as expected.
> 
> Session management functionality is turned off in fvwm (sm_conn = NULL)
> unless fvwm is run under a session manager.

BTW, I see the same problem with gnome-session that I described
for xsm: xosview is started with incorrect options in
gnome-session too.  Not that I really care about it.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 4 Apr 2001 14:56:17 -0500

> window manager though, so I ran it from inside fvwm :)

Ok, you got me to run my gnome-session from gnome-1.0.55. :)

I have no problem defining window manager entries in gnome-session for
fvwm-2.2 (not session managed), fvwm and fvwm-themes (session managed).

> Anyway, I don't see what Olivier describes.

Olivier>  4. Under GNOME session : Use say a DesktopSize 2x2 and save
Olivier>  your session on page 2 2. When I restart the session I am again
Olivier>  on page 2 2 but the gmc icon are on the page on my left.
Olivier>  It seems that a page switching in the "same time" that a "stick"
Olivier>  (the gmc icon) cause the problem.

I can see this. I start gmc, and then Logout (using panel) with saving
the current setup (i.e. session). If I logout and save on page (0, 0), on
the next startup desktop icons are ok, but if I do this from page (0, 1),
the desktop (Windows-like) icons disappear while gmc is still running.

> gnome-session too.  Not that I really care about it.

I can reproduce this too. If I start 'xosview --net name BarXosview -cpu',
it becomes 'xosview -name BarXosview' on the next startup.

I downloaded xosview, it fiddles with XrmParseCommand, so for any other
program (xsm, gnome-session, fvwm) XGetCommand returns a modified command
line. So it is xosview problem; xosview is also not session aware so it
can't remember its state without the original command line.

Regards,
Mikhael.

---

From: Olivier Chapuis <[email-masked]>
Date: Thu, 5 Apr 2001 08:14:24 +0200

Le Vendredi 30 Mars 2001 18:14, vous avez écrit :
> > We probably do not have to take in account the followings problems,
> > but ...
> >
> > 1. Since last 15 days two times my menu definition completely
> > disappear (the second time just now with 2.3.30). When I go around
> > my root menu and popup all my submenus (to look at my mini icons)
> > suddenly all my menus definition go away:  The bindings are still here
> > but fvwm says "no menu xxx", "no menu yyy", ...  (the menus disappear
> > for ever when I use it).
> > Also it seems that the last popup before that the menu go away was not
> > the good submenu but one not very far from it.  I am unable to reproduce
> > this problem.
>
> That's a serious problem.  I had that a few times when I cleaned
> up the menu deletion code.  Somehow the menu list gets corrupted.
> THe menus are still in memory but can't be found.  Please try to
> find a way to reproduce this.  It probably has something to do
> with dynamic menus.
>

Yes, it seems that dynamic menus cause this problem. I succed to
reproduce the problem. Try to add at the end of your root menu (or
one of your menu):

+ "A Dyn Menu" Popup a-dyn-menu
+ "A Dyn Menu" Popup a-dyn-menu

AddToMenu a-dyn-menu DynamicPopupAction \
	PipeRead 'echo DestroyMenu a-dyn-menu; echo AddToMenu a-dyn-menu \"xterm\" 
Exec exec xterm'

And popup the above menus. Then in my machine some of my menus
disapear.
It does not seems that there is a memory leak here.
Olivier
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 5 Apr 2001 11:27:35 +0200

> It does not seems that there is a memory leak here.

Okay, with this setuo, I see the problem.  I'll fix it this
evening.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 5 Apr 2001 23:57:57 +0200

> Okay, with this setuo, I see the problem.  I'll fix it this

Fixed.

Bye

Dominik ^_^  ^_^